# $Revision: 1.20 $, $Date: 2002/06/23 21:09:49 $
Summary:	Creates a standalone boot floppy for the running system
Summary(es):	Crea un disquete de arranque
Summary(pl):	Tworzy dyskietk startow dla dziaajcego systemu
Summary(pt_BR):	Cria um disco de inicializao
Summary(ru):	      
Summary(uk):	     ϧ 
Name:		mkbootdisk
Version:	2.0.2
Release:	1
License:	GPL
Group:		Base/Utilities
Source0:	http://mops.uci.agh.edu.pl/~gotar/%{name}-%{version}.tar.bz2
Requires:	/bin/awk
Requires:	e2fsprogs
Requires:	fileutils
Requires:	geninitrd
Requires:	grep
Requires:	mount
Requires:	textutils
%ifarch %{ix86}
Requires:	lilo
%endif
%ifarch sparc sparc64
Requires:	silo
%endif
ExclusiveArch:	%{ix86} sparc sparc64
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The mkbootdisk program creates a standalone boot floppy disk for
booting the running system. The created bootdisk will look for the
root filesystem on the device mentioned in /etc/fstab and include an
initial ramdisk image which will load any necessary modules for mount
root file system and continue from start system. This program uses
lilo, as manualy making boot floppy with syslinux or grub doesn't
require any magic.

%description -l es
Este paquete crea un disco de arranque autocontenido. Asume que el
disco de arranque debe usar la particin raz configurada en el
archivo /etc/fstab. El disco de arranque obtenido incluye todos los
mdulos SCSI necesarios al sistema.

%description -l pl
Program mkbootdisk tworzy samodzieln dyskietk startow dla
dziaajcego systemu. Utworzony obraz dyskietki przy starcie bdzie
szuka gwnego systemu plikw na urzdzeniu wymienionym w /etc/fstab
i zawiera bedzie obraz startowego ramdysku adujcego wszelkie
niezbdnie dla systemu moduy potrzebne do podmontowania gwnego
systemu plikowego i kontynuacji z w niego dalej startu systemu.
Program bazuje na lilo, jako e rcznie zrobienie dyskietki startowej
do uycia z syslinux bd grubem nie wymaga adnych trickw.

%description -l pt_BR
Este pacote cria um disco de inicializao auto-contido. Assume que o
disco de inicializao deve usar a partio raiz configurada no
arquivo /etc/fstab. O disco de inicializao resultando inclui todos
os mdulos SCSI necessrios ao sistema.

%description -l ru
 mkbootdisk     
  .     
   ,   /etc/fstab,  
  ramdisk',     SCSI, IDE 
 ,     
.

%description -l uk
 mkbootdisk     
 ϧ .     
   ϧ,   /etc/fstab,  ͦ
  ramdisk',    ̦ SCSI, IDE 
 , ȦΦ   ϧ ϧ .

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/sbin,%{_mandir}/man8}

sufix=ix86
%ifarch sparc sparc64
sufix=sparc
%endif
install mkbootdisk.$sufix $RPM_BUILD_ROOT/sbin/mkbootdisk

install mkbootdisk.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) /sbin/mkbootdisk
%{_mandir}/man8/mkbootdisk.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mkbootdisk.spec,v $
Revision 1.20  2002/06/23 21:09:49  kloczek
- merge translations from KSI and Conectiva.

Revision 1.19  2002/05/24 11:44:07  gotar
- CVS is fucked up, I cannot add to SOURCES, so here
  is URL for missing file, add it if you can.

Revision 1.18  2002/05/23 08:00:27  gotar
- upgraded to 2.0.2, STBR.

Revision 1.17  2002/03/20 17:23:18  gotar
- updated to 2.0.1, STBR.

Revision 1.16  2002/03/02 11:21:13  djrzulf
- removed double Requires field with geninitrd,

Revision 1.15  2002/03/02 11:05:57  kloczek
- fixed Summary and %description.

Revision 1.14  2002/03/02 11:00:20  kloczek
- s/genronfs/geninitrd/ in Requires rules,
- minor changes and cut chengelog.

Revision 1.13  2002/03/02 10:02:12  djrzulf
- removed support for mkinitrd, added support for geninitrd
- STBR

Revision 1.12  2002/02/22 23:29:16  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.11  2002/01/18 02:13:52  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.10  2001/10/22 20:18:04  qboosh
- adapterized, fixed build and FHS compliance
- release 1

Revision 1.9  2001/10/18 16:40:23  gotar
- cosmetics.

Revision 1.8  2001/09/09 17:46:13  gotar
- cosmetical changes in descriptions.

Revision 1.7  2001/07/14 17:28:12  gotar
- removed redundant rpm macros.

Revision 1.6  2001/05/20 22:30:32  gotar
- upgraded to 2.0.

Revision 1.5  2000/08/07 23:07:48  baggins
- spec adapterized

Revision 1.4  2000/06/09 07:23:25  kloczek
- added using %%{__make} macro.

Revision 1.3  2000/04/10 17:06:17  baggins
- more spelling fixes

Revision 1.2  2000/04/01 11:14:53  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.1  1999/08/19 20:07:26  baggins
almost raw

Based on package from RedHat.
